##################################
#Fichier de l'image a traiter
##################################
filin = open('Coco400Gris.txt','r')
##################################
#ENTREE: ne pas modifier
##################################
###Lecture des informations
print("Type de l'image : ")
c = filin.readline()
print(c)
elarg=int(filin.readline())
print('Largeur : ')
print(elarg)
print()
ehaut = int(filin.readline())
print('Hauteur : ')
print(ehaut)
print()
d = filin.readline()
print('Niveaux de gris : ')
print(d)
print()
print('Transfert image en entree')
print()
###Copie des valeurs des pixels dans la matrice d'entree
E=[]
for i in range(ehaut):
    sl=[]
    c = filin.readline()
    u=0
    for j in range(len(c)):
        if (c[j] != ' ') and (c[j]!='\n'):
            u=u*10+int(c[j])
        else:
            sl.append(u)
            u = 0
    E.append(sl)
filin.close()
###Preparation de la matrice de sortie
S=[]
for i in range(ehaut):
    tl=[]
    for j in range(elarg):
            tl.append(255)
    S.append(tl)





##################################
##################################
#TRAITEMENT: partie a modifier
##################################
##################################
### SIMPLE COPIE
for i in range(ehaut):
    for j in range(elarg):
        S[i][j] = E[i][j]

###TETE EN BAS
##for i in range(ehaut):
##    for j in range(elarg):
##        S[i][j] = E[ehaut-i-1][j]

###NEGATIF
##for i in range(ehaut):
##    for j in range(elarg):
##        S[i][j] = 255-E[i][j]

###CONTOURS
##seuil=10
##for i in range(1,ehaut-1):
##    for j in range(1,elarg-1):
##        if (abs(E[i-1][j] - E[i][j]) > seuil) \
##           or (abs(E[i+1][j] - E[i][j]) > seuil) \
##           or (abs(E[i][j+1] - E[i][j]) > seuil) \
##           or (abs(E[i][j-1] - E[i][j]) > seuil):
##            S[i][j] = 0
##        else:
##            S[i][j] = 255



#####SEUILLAGE
##seuil=127
##for i in range(ehaut):
##    for j in range(elarg):
##        if E[i][j]>seuil:
##            S[i][j] = 255
##        else:
##            S[i][j]=0



#####ECRETER
##seuilbas=50
##seuilhaut=100
##for i in range(ehaut):
##    for j in range(elarg):
##        if E[i][j]<seuilbas:
##            S[i][j] = seuilbas
##        else:
##            if E[i][j]>seuilhaut:
##                S[i][j]=seuilhaut
##            else:
##                S[i][j]=E[i][j]



#####APPLATS
##for i in range(ehaut):
##    for j in range(elarg):
##        if E[i][j]<85:
##            S[i][j]=0
##        elif E[i][j]<170:
##            S[i][j]=127
##        else:
##            S[i][j]=255





        
##################################
#SORTIE: ne pas modifier
##################################
print('Sortie: appuyer sur entree puis ouvrir monimage avec GIMP')
filout = open('monimage.txt','w')
filout.write('P2\n')
filout.write(str(elarg)+'\n')
filout.write(str(ehaut)+'\n')
filout.write(d)
for i in range(ehaut):
    t = ''
    for j in range(elarg):
        t =  t + str(S[i][j])
        t =  t + ' '
    t =  t + '\n'
    filout.write(t)
filout.close()
input()
